#
# spec file for package perl-Text-Glob
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Text-Glob
Name:           perl-Text-Glob
Version:        0.110.0
Release:        1.1
# 0.11 -> normalize -> 0.110.0
%define cpan_version 0.11
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Match globbing patterns against text
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RC/RCLAMP/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
Provides:       perl(Text::Glob) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
Text::Glob implements glob(3) style matching that can be used to match
against text, rather than fetching names from a filesystem. If you want to
do full file globbing use the File::Glob module instead.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes

%changelog
* Tue May 20 2025 Tina Müller <tina.mueller@suse.com>
- Normalize CPAN version
  See https://github.com/openSUSE/cpanspec/issues/47 for details
* Sat Mar 11 2017 coolo@suse.com
- updated to 0.11
  see /usr/share/doc/packages/perl-Text-Glob/Changes
  0.11    Wednesday 8th March, 2016
    Regenerated tarball on a linux machine (0.10 was released from OSX
    which added non-standard extended header attributes to the tar)
* Thu Sep 15 2016 coolo@suse.com
- updated to 0.10
  see /usr/share/doc/packages/perl-Text-Glob/Changes
  0.10    Wednesday 14th September, 2016
    Added ability to alter regex seperator (patch from Mark Fowler)
    Switch distribution packaging back to ExtUtils::MakeMaker (RT#104876)
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Fri Feb 25 2011 vcizek@novell.com
- update to 0.09
  * Compiled documentation fixes
    (collected by Tom Hukins from fixes on rt.cpan)
* Wed Feb  2 2011 vcizek@novell.com
- bzipped source tarball
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jun  8 2008 gerrit.beine@gmx.de
- first release 0.08
